ArticlePlaceholder stalls
Closed, ResolvedPublic

Description

While working on a GCI task I stumbled across a bug in ArticlePlaceholder where running "Translate article" stalls forever.

Steps to reproduce:

  1. Open https://eo.wikipedia.org/wiki/Special:AboutTopic?uselang=en
  2. Insert Q12345 and click craft
  3. Scroll down and click on "Krei artikolon"
  4. Click on "Translate article"
  5. Click "Ek"
  6. Wait as it stalls for an eternity

I've reproduced it in Firefox 50.1.0 and Chrome 55.0.2883.87 on Fedora 25

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2017, 12:55 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJan 12 2017, 12:57 PM

Wait as it stalls for an eternity

Hmm, cannot reproduce, page loads fine here (Firefox 51, Fedora 24).
Anything in the console of the developer tools of your web browser? (Please see Firefox ≥24; Google Chrome.)

Micru added a subscriber: Micru.Jan 12 2017, 8:51 PM

I can reproduce it on Firefox 50.1.0 on Windows 7.

Micru added a comment.Jan 12 2017, 8:53 PM

The webconsole says:

OO.ui.WindowManager#addWindows: Windows must have a `name` static property defined.  load.php:390:118
Exception in load-callback in module ext.cx.sitemapper:  load.php:176:576
TypeError: this.config is undefined TypeError: this.config is undefined
Stack trace:
mw.cx.SiteMapper.prototype.getPageUrl@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=ext.cx.model%2Csitemapper&skin=vector&version=1590fxp:1:1245
mw.cx.SiteMapper.prototype.getCXUrl@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=ext.cx.model%2Csitemapper&skin=vector&version=1590fxp:3:338
CreateArticleTranslationDialog.prototype.onSubmit/<@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=ext.articleplaceholder.createArticle%7Cext.centralNotice.geoIP%7Cext.centralauth.ForeignApi%7Cext.centralauth.centralautologin.clearcookie%7Cext.cite.a11y%7Cext.dismissableSiteNotice%2CeventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.echo.api%2Cinit%7Cext.eventLogging.subscriber%7Cext.gadget.Rekta-ligilo-al-Komunejo%7Cext.uls.common%2Ccompactlinks%2Ceventlogger%2Cinit%2Cinterface%2Cpreferences%2Cwebfonts%7Cext.visualEditor.desktopArticleTarget.init%7Cext.visualEditor.supportCheck%2CtargetLoader%2Ctrack%2Cve%7Cext.wikimediaEvents.loggedin%7Cjquery.byteLength%2CcheckboxShiftClick%2Ccookie%2CgetAttrs%2ChighlightText%2CmakeCollapsible%2Cmw-jump%2CmwExtension%2Cplaceholder%2Csuggestions%2CtabIndex%2CtextSelection%2Cthrottle-debounce%7Cjquery.uls.data%7Cmediawiki.ForeignApi%2CTitle%2CUri%2Capi%2Ccldr%2Ccookie%2CjqueryMsg%2Clanguage%2CsearchSuggest%2Cstorage%2Ctemplate%2Cuser%7Cmediawiki.ForeignApi.core%7Cmediawiki.action.view.postEdit%7Cmediawiki.api.options%2Cuser%7Cmediawiki.language.data%2Cinit%7Cmediawiki.libs.pluralruleparser%7Cmediawiki.page.ready%2Cstartup%7Cmediawiki.template.regexp%7Cmediawiki.ui.button%7Coojs%2Coojs-ui%2Coojs-ui-core%2Coojs-ui-toolbars%2Coojs-ui-widgets%2Coojs-ui-windows%2Csite%7Cschema.NavigationTiming%2CSaveTiming%2CUniversalLanguageSelector%7Cskins.vector.js%7Cuser.defaults&skin=vector&version=05p7kn1:4:843
.Deferred/promise.then/</</<@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:47:126
jQuery.Callbacks/fire@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:45:104
jQuery.Callbacks/self.fireWith@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:46:431
.Deferred/</deferred[tuple[0]]@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:47:765
mw.loader.using/<@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:169:749
handlePending@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:158:237
execute/runScript/markModuleReady@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:161:90
execute/runScript/<@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:161:702
jQuery.Callbacks/fire@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:45:104
jQuery.Callbacks/self.add@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:45:656
.Deferred/promise.always@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:46:865
execute/runScript@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:161:514
execute/</checkCssHandles@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:162:241
execute@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:162:943
mw.loader.implement@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1rfuz0b:169:232
@https://eo.wikipedia.org/w/load.php?debug=false&lang=eo&modules=ext.cx.model%2Csitemapper&skin=vector&version=1590fxp:1:301
  load.php:176:614
hoo moved this task from Incoming to Backlog on the ArticlePlaceholder board.Jan 31 2017, 3:02 PM
hoo added subscribers: Lydia_Pintscher, Lucie, hoo.

Change 346167 had a related patch set uploaded (by Hoo man):
[mediawiki/extensions/ArticlePlaceholder@master] Add a name to CreateArticleDialog.

https://gerrit.wikimedia.org/r/346167

hoo claimed this task.Apr 3 2017, 3:24 PM
hoo moved this task from Backlog to Review on the ArticlePlaceholder board.
hoo added a project: Wikidata-Sprint.
hoo moved this task from Proposed to Review on the Wikidata-Sprint board.

Change 346167 merged by Hoo man:
[mediawiki/extensions/ArticlePlaceholder@master] Add a name to CreateArticleDialog.

https://gerrit.wikimedia.org/r/346167

hoo closed this task as Resolved.Apr 4 2017, 4:07 PM
hoo moved this task from Review to Done on the Wikidata-Sprint board.
hoo moved this task from Review to Done on the ArticlePlaceholder board.
hoo removed a project: Patch-For-Review.